<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:p="http://primefaces.org/ui" 
             width="100%" id="historicoJustificacionPanelGrid">

    <p:dataTable id="historicopredioPropietarioHisTable"
                 value="#{justificacionProyeccion.predioPropietariosHis}"
                 var="predioPropietarioHis"
                 emptyMessage="No hay información de documentos para mostrar">
        <f:facet name="header">Documentos históricos de justificación de derecho de propiedad</f:facet>

        <p:column>
            <f:facet name="header">Nombre propietario</f:facet>
            <h:outputText
                value="#{predioPropietarioHis.nombre}" />
        </p:column>

        <p:column>
            <f:facet name="header">No. identificación</f:facet>
            <h:outputText
                value="#{predioPropietarioHis.numeroIdentificacion}" />
        </p:column>

        <p:column>
            <f:facet name="header">Modo adquisición</f:facet>
            <h:outputText value="#{predioPropietarioHis.tituloModoAdquisicion}">
            </h:outputText>
        </p:column>

        <p:column>
            <f:facet name="header">Valor compra</f:facet>
            <h:outputText value="#{predioPropietarioHis.tituloValorCompra}">
                <f:convertNumber type="number" />
            </h:outputText>
        </p:column>

        <p:column>
            <f:facet name="header">Departamento</f:facet>
            <h:outputText value="#{predioPropietarioHis.departamento.nombre}" />
        </p:column>

        <p:column>
            <f:facet name="header">Municipio</f:facet>
            <h:outputText value="#{predioPropietarioHis.municipio.nombre}" />
        </p:column>

        <p:column>
            <f:facet name="header">Oficina emisora</f:facet>
            <h:outputText value="#{predioPropietarioHis.tituloNotaria}" />
        </p:column>

        <p:column>
            <f:facet name="header">Número título</f:facet>
            <h:outputText value="#{predioPropietarioHis.tituloNumero}">
            </h:outputText>
        </p:column>

        <p:column>
            <f:facet name="header">Fecha título</f:facet>
            <h:outputText value="#{predioPropietarioHis.tituloFecha}">
                <f:convertDateTime pattern="dd/MM/yyyy" locale="es_CO" />
            </h:outputText>
        </p:column>

        <p:column>
            <f:facet name="header">Fecha registro</f:facet>
            <h:outputText value="#{predioPropietarioHis.fechaRadicacion}">
                <f:convertDateTime pattern="dd/MM/yyyy" locale="es_CO" />
            </h:outputText>
        </p:column>


    </p:dataTable>

</h:panelGrid>